<?php
$title = 'Восстановление пароля';
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
require($_SERVER['DOCUMENT_ROOT'].'/core/head.php');
if(isset($user['id'])){
header('Location: /');
exit;
}
if(isset($_POST['email'])){
$email = htmlspecialchars(trim($_POST['email']));
$us = $db->prepare('SELECT * FROM `users` WHERE `email` = ?');
$us -> execute([$email]);
$us = $us -> fetch(PDO :: FETCH_ASSOC);

if(empty($_POST['captcha'])) $msg = 'Введите код с картинки!';
elseif(empty($email)) $msg = 'Введите e-mail';
elseif(!preg_match('/[0-9a-z_\-]+@[0-9a-z_\-^\.]+\.[a-z]{2,6}/i' , $email)) $msg = 'Неверный формат e-mail';
elseif(!isset($us['id'])) $msg = 'Неверный email';
elseif($_SESSION['Captcha.Code'] != $_POST['captcha']) $msg = ('Неверный код с картинки!');

if(isset($msg)){
$_SESSION['message'] = $msg;
exit(header('Location: /auth.aspx'));
}else{

$password_new = rand('111111','9999999');
$update = $db->prepare("UPDATE `users` SET `password` = ? WHERE `id` = ?");
$update -> execute([md5($password_new),$us['id']]);

$mail_to = new mailer($email);
$mail_to->add('Вы запросили восстановление пароля  <br />
<b>Новый пароль</b> : '.$password_new.' <br />
После успешной авторизации просим вас сменить пароль , так как он был сгенерирован автоматически...<br />
<small>Если это были не вы , просим вас обратиться в техническую поддержку для выяснения обстоятельств как могло так случиться...</small>
');

$_SESSION['message'] = 'Вам на почту успешно отправлен новый пароль !';
header('Location: /auth.aspx');

}
}
?>
<div class="container">
  <div class="row mt-5">
  <div class="col-md-6 offset-md-3">
<div class="card">
      <div class="card-body">
<form action="" method="POST">
<h3>E-mail :</h3> <br /><input type="email" placeholder="Введите E-Mail" name="email"><br>

<h3>Код с картинки : </h3><br />
<img src="/design/kcaptcha/kcaptcha.php" title="Нажмите для обновления" onclick="this.setAttribute('src','/design/kcaptcha/kcaptcha.php?hash='+Math.random());var captcha=document.getElementById('captcha');if(captcha){captcha.focus()}">
<br />
<input name="captcha" class="form-control" type="text" /><br />


<div class="col-md-6 text-right">
<button type="submit" class="btn btn-success">Отправить</button>
</div>
</form></div></div></div></div></div>
<?
require($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');